/*
Theme Name: BlankSlate Child
Template: blankslate
*/

@import "content.css";

:root {
    --text-color: #555;
    --accent-color-0: #00042d;
    --accent-color-1: #244598;
    --accent-color-2: #60a4db;
    --accent-color-3: #00c6e2;
    --input-text-color: #3a4149;

    --header-height: 144px;
}

*, *::after, *::before {
    box-sizing: border-box;
}

body {
    font-family: "Open Sans", sans-serif;
    color: var(--text-color);
    line-height: 1.5;
}

input {
    display: block;
    color: var(--input-text-color);
    padding: 15px;
}

h1, h2, h3, h4 {
    font-family: "Didact Gothic", sans-serif;
}

button {
    border: none;
    cursor: pointer;
}

em {
    font-style: italic;
}

strong {
    font-weight: bold;
}

#wpadminbar {
    top: var(--header-height);
    z-index: unset;
}

#header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: var(--header-height);
    z-index: 2;
    font-family: "Didact Gothic", sans-serif;
    background: #fff;
}

#branding {
    position: absolute;

    h1 {
        color: transparent;
    }

}

#menu_1 {

    background-color: var(--accent-color-3);
    color: #fff;

    a {
        color: inherit;
        text-decoration: none;
        transition: color 100ms;
        &:hover {
            color: var(--accent-color-1);
        }
    }

    .menu {
        display: flex;
        justify-content: flex-end;
        gap: 30px;
        padding: 15px 8px;


    }
}

#menu_2 {

    box-shadow: 0px 1px 5px rgba(0,0,0,0.5);
    color: var(--accent-color-1);
    display: flex;
    justify-content: center;

    a {
        color: inherit;
        text-decoration: none;
    }

    .logo {
        width: 260px;
        height: 120px;
        margin-top: -36px;
    }

    .menu {
        height: 85px;
        display: flex;
        justify-content: center;
        align-items: flex-start;
        gap: 30px;
        padding: 15px 8px;
        font-size: 18px;

        > .menu-item {
            position: relative;

            > a {
                position: relative;
                text-transform: uppercase;
                &::after {
                    content: "";
                    display: block;
                    height: 2px;
                    background-color: var(--accent-color-1);
                    width: 0;
                    margin-inline: auto;
                    margin-top: 4px;
                    transition: width 250ms;
                }
            }
            &.menu-item:hover>a::after {
                width: 100%;
            }

            .sub-menu {
                position: absolute;
                background: #fff;
                border-bottom-left-radius: 12px;
                border-bottom-right-radius: 12px;
                display: none;
                flex-direction: column;
                gap: 8px;
                overflow: hidden;
                min-width: max-content;
                box-shadow: 0 1px 5px rgba(0,0,0,0.5);

                a {
                    display: block;
                    padding: 8px;
                    &:hover {
                        background-color: #eee;
                    }
                }
            }

            &:hover .sub-menu {
                display: flex;
            }
        }
    }
}

main {
    margin-top: var(--header-height);
}

.footer-section-1 {
    font-family: "Didact Gothic", sans-serif;
    background: url("https://bebesdansleau22.fr/wp-content/uploads/2026/03/form_contact.webp") no-repeat;
    background-size: cover;
    position: relative;
    padding-bottom: 20px;

    .design-points {
        background: url("https://bebesdansleau22.fr/wp-content/uploads/2026/03/point1-1.png") repeat;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
    }

    >*:not(:first-child) {
        position: relative;
        z-index: 1;
    }

    #menu-footer-1 {
        translate: 0 -20px;
        .menu {

            display: flex;
            margin-inline: auto;
            max-width: 1200px;
            gap: 60px;

            .menu-item {
                flex: 1;

                a {
                    font-size: 26px;
                    display: block;
                    text-decoration: none;
                    background: var(--accent-color-2);
                    color: #fff;
                    border-radius: 10px;
                    text-align: center;
                    padding: 10px 25px;
                    transition: background-color 250ms;
                    &:hover {
                        background: var(--accent-color-3);
                    }
                }
            }
        }
    }
}

.footer-section-2 {

    background-color: var(--accent-color-0);
    color: #fff;
    .grid {
        max-width: 1200px;
        margin-inline: auto;
        padding-block: 20px;
        display: grid;
        grid-template-columns: repeat(2, 1fr) 215px;
        column-gap: 60px;

        > div {
            text-align: center;
        }

        h2 {
            font-size: 25px;
            margin-bottom: 10px;
        }

        h3 {
            color: var(--accent-color-2);
            font-size: 17px;
        }

        .column-1 {
            display: flex;
            flex-direction: column;
            gap: 14px;
        }

        .column-2 {
            #menu-footer-2 {
                font-family: "Dosis", sans-serif;
                .menu {
                    display: flex;
                    flex-direction: column;
                }
                .menu-item::after {
                    content: "";
                    display: block;
                    border-bottom: 1px dashed #fff;
                }
                a {
                    display: block;
                    color: inherit;
                    text-decoration: none;
                    padding: 15px 20px;
                    font-size: 17px;
                    font-weight: 500;
                    transition: all 200ms ;
                    &:hover {
                        color: var(--accent-color-3);
                        background: #fff;
                    }
                }
            }
        }

        .column-3 {
            img {
                max-width: 300px;
            }
        }
    }
}

.rmp-menu-open {
    min-width: 100%;
    max-width: 100%;

    .rmp-menu-item-link {
        display: flex !important;

        .rmp-menu-subarrow {
            position: unset !important;
        }
    }
}

.rmp_menu_trigger, .admin-bar .rmp_menu_trigger {
    top: 2px !important;
    right: 20px !important;
    margin-top: 0 !important;
}

@media screen and (max-width: 1024px) {
    #menu_1 .menu {
        visibility: hidden;
    }

    #menu_2 .menu {
        display: none;
    }
}

@media screen and (max-width: 600px) {

    .footer-section-1 {
        #menu-footer-1 {
            .menu {
                display: grid;
                grid-template-columns: 1fr;
                row-gap: 10px;
            }
        }


    }

    .footer-section-2 {
        .grid {
            grid-template-columns: 1fr;
            align-content: center;

            & > div:first-child {
                padding-bottom: 20px;
                border-bottom: 1px solid #cccccc;
            }
        }
    }
}
